Home

# Class goog.ds.DataNodeList

Interface for node list in rich data tree. Has both map and list-style accessors

extends goog.ds.DataNode

Instance Method Summary
| `add(?goog.ds.DataNode node)` Add a node to the node list. If the node has a dataName, uses this for the key in the map.
| `get(string key) ⇒ ?goog.ds.DataNode` Get a node by string key. Returns null if node doesn't exist.
| `getByIndex(number index) ⇒ ?goog.ds.DataNode` Get a node by index Returns null if the index is out of range
| `getCount() ⇒ number` Gets the size of the node list
| `removeNode(string name) ⇒ boolean` Removes a node in the list of a given name
| `setNode(string name, ?goog.ds.DataNode node)` Sets a node in the list of a given name